// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

describe('Kategorienwahl', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser('chrome').build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('Kategorienwahl', async function() {
    await driver.get("http://advp44.gm.fh-koeln.de:8081/")
    await driver.manage().setTimeouts({ implicit: 3000 });
    assert(await driver.findElement(By.css("main > h2")).getText() === "Modulbeschreibungen")
    await driver.findElement(By.css(".ng-star-inserted:nth-child(3) > .mat-mdc-list-item .mat-mdc-list-item-title")).click()
    assert(await driver.findElement(By.css("main > h2")).getText() === "Modulhandbücher")
    await driver.findElement(By.css(".ng-star-inserted:nth-child(4) > .mat-mdc-list-item")).click()
    assert(await driver.findElement(By.css("main > h2")).getText() === "WPF Listen")
    await driver.findElement(By.css(".ng-star-inserted:nth-child(6) .mat-mdc-list-item-title")).click()

    //login
    await driver.findElement(By.id("username")).sendKeys("qs_mv")
    await driver.findElement(By.id("password")).click()
    await driver.findElement(By.css(".col-sm-9")).click()
    await driver.findElement(By.id("password")).click()
    await driver.findElement(By.id("password")).sendKeys("test")
    await driver.findElement(By.id("kc-login")).click()

    assert(await driver.findElement(By.css("h2")).getText() === "Meine Module")
    await driver.findElement(By.css(".ng-star-inserted:nth-child(7) .mat-mdc-list-item-title")).click()
    assert(await driver.findElement(By.css("h2")).getText() === "Änderungsfreigaben")
  })
})
